<?php
	require("../__common__/__define_common.php");
	require("__define.php");
	require("../__common__/include-common-all.php");
	require("../account/__logincheck.php");
	if (check_permit_id($_SESSION['login_id'], $_SESSION['current_id']) != "w") {
		exit;	// 書き込み権限なし
	}
	if ($_POST['id'] == '') {
		exit;
	}
	$con = my_mysql_connect(_DB_SCHEMA);
	$sql = "update m_marker set";
	$sql .= " c_place = '".post_to_mysql('place')."'";
	$sql .= ", c_comment = '".post_to_mysql('comment')."'";
	$sql .= ", c_updatetime = '". date("Y/m/d H:i:s") . "'";
	$sql .= " where id_marker = ".intval($_POST['id']);
	$sql .= " and id_account = ".$_SESSION['current_id'];
	mysql_query($sql);
	$con = mysql_close($con);
?>
